<template>
  <h3 class="text-2xl font-bold underline underline-offset-2 mb-2 px-24 mt-12 mb-6">Your library</h3>
  <div class="w-full grid grid-cols-5 gap-y-4 gap-x-2 px-24">
    <div v-for="manga in mangas" class="col-span-1 text-white">
      <div class="w-48 h-80 relative flex w-full h-full items-center justify-center rounded-md bg-cover"
           :style="`background-image:url(${manga.picture})`" @click="goToDetail(manga.api_id)">
        <h4 class="text-xl text-center font-semibold">{{ manga.title }}</h4>
        <h5 class="jp-text absolute top-2 left-2 opacity-40 text-gray-100">{{ manga.jap_title }}</h5>
      </div>
    </div>
  </div>
</template>

<script>
import randomGradients from "../helpers/randomGradients.js";
import title from "../helpers/title.js";

export default {
  name: "Library",
  data() {
    return {
      connected: false,
      slides: [],
      mangas: {}
    }
  },

  methods: {
    goToDetail(id) {
      this.$router.push({path: `/mangas/${id}`})
    },
    randomGradients
  },

  async mounted() {
    this.mangas = (await this.$axios.get(`users/${this.$store.user.id}/relations/mangas`)).data.map(manga => {
      return {...manga, gradient: randomGradients()}
    })

    title("Your library")
  }
}
</script>

<style scoped>

</style>